New upstream version 5.1.9.
- Remove patches which are now upstream.
This commit is contained in:
parent
e08b3617e4
commit
dd1483f91c
@ -1,28 +0,0 @@
|
||||
From ab54fc307ed7864db07285ddf44bc5dec35cec7c Mon Sep 17 00:00:00 2001
|
||||
From: Hilko Bengen <bengen@hilluzination.de>
|
||||
Date: Sat, 10 May 2014 13:39:44 +0200
|
||||
Subject: [PATCH] Make test-execstack recognize SKIP_ variable
|
||||
|
||||
---
|
||||
tests/test-execstack.sh | 5 +++++
|
||||
1 file changed, 5 insertions(+)
|
||||
|
||||
diff --git a/tests/test-execstack.sh b/tests/test-execstack.sh
|
||||
index a9cb5e0..a02803b 100755
|
||||
--- a/tests/test-execstack.sh
|
||||
+++ b/tests/test-execstack.sh
|
||||
@@ -18,6 +18,11 @@
|
||||
|
||||
set -e
|
||||
|
||||
+if [ -n "$SKIP_TEST_EXECSTACK" ]; then
|
||||
+ echo "$0: test skipped because SKIP_TEST_EXECSTACK is set."
|
||||
+ exit 77
|
||||
+fi
|
||||
+
|
||||
if scanelf --help >/dev/null 2>&1; then
|
||||
echo "using scanelf"
|
||||
scanelf -e ../src/supermin
|
||||
--
|
||||
1.9.0
|
||||
|
@ -1,34 +0,0 @@
|
||||
From 35f49bde1c72ae4aed7116171df3f88d5696debf Mon Sep 17 00:00:00 2001
|
||||
From: "Richard W.M. Jones" <rjones@redhat.com>
|
||||
Date: Wed, 21 May 2014 12:41:58 +0100
|
||||
Subject: [PATCH] rpm: Use tab instead of space so we don't get confused by
|
||||
filenames containing spaces (RHBZ#1099862).
|
||||
|
||||
Thanks: Lee Yarwood
|
||||
---
|
||||
src/rpm.ml | 4 ++--
|
||||
1 file changed, 2 insertions(+), 2 deletions(-)
|
||||
|
||||
diff --git a/src/rpm.ml b/src/rpm.ml
|
||||
index b08c60c..adb5c89 100644
|
||||
--- a/src/rpm.ml
|
||||
+++ b/src/rpm.ml
|
||||
@@ -212,13 +212,13 @@ let rpm_get_all_requires pkgs =
|
||||
|
||||
let rpm_get_all_files pkgs =
|
||||
let cmd = sprintf "\
|
||||
- %s -q --qf '[%%{FILENAMES} %%{FILEFLAGS:fflags}\\n]' %s |
|
||||
+ %s -q --qf '[%%{FILENAMES}\\t%%{FILEFLAGS:fflags}\\n]' %s |
|
||||
grep '^/' |
|
||||
sort -u"
|
||||
Config.rpm
|
||||
(quoted_list (List.map rpm_package_to_string (PackageSet.elements pkgs))) in
|
||||
let lines = run_command_get_lines cmd in
|
||||
- let lines = List.map (string_split " ") lines in
|
||||
+ let lines = List.map (string_split "\t") lines in
|
||||
List.map (
|
||||
function
|
||||
| [ path; flags ] ->
|
||||
--
|
||||
1.9.0
|
||||
|
@ -1,7 +1,7 @@
|
||||
Summary: Tool for creating supermin appliances
|
||||
Name: supermin
|
||||
Version: 5.1.8
|
||||
Release: 9%{?dist}
|
||||
Version: 5.1.9
|
||||
Release: 1%{?dist}
|
||||
License: GPLv2+
|
||||
|
||||
%if 0%{?rhel} >= 7
|
||||
@ -11,12 +11,6 @@ ExclusiveArch: x86_64
|
||||
URL: http://people.redhat.com/~rjones/supermin/
|
||||
Source0: http://libguestfs.org/download/supermin/%{name}-%{version}.tar.gz
|
||||
|
||||
# Upstream patch to allow us to skip the execstack test.
|
||||
Patch0001: 0001-Make-test-execstack-recognize-SKIP_-variable.patch
|
||||
|
||||
# Upstream patch to fix RPM handler when filenames may contain spaces.
|
||||
Patch0002: 0001-rpm-Use-tab-instead-of-space-so-we-don-t-get-confuse.patch
|
||||
|
||||
BuildRequires: /usr/bin/pod2man
|
||||
BuildRequires: rpm
|
||||
BuildRequires: yum-utils
|
||||
@ -57,8 +51,6 @@ second when you need to boot one of them.
|
||||
|
||||
%prep
|
||||
%setup -q
|
||||
%patch0001 -p1
|
||||
%patch0002 -p1
|
||||
|
||||
|
||||
%build
|
||||
@ -92,6 +84,10 @@ make check || {
|
||||
|
||||
|
||||
%changelog
|
||||
* Mon Jul 21 2014 Richard W.M. Jones <rjones@redhat.com> - 5.1.9-1
|
||||
- New upstream version 5.1.9.
|
||||
- Remove patches which are now upstream.
|
||||
|
||||
* Wed Jun 25 2014 Richard W.M. Jones <rjones@redhat.com> - 5.1.8-9
|
||||
- Add Requires findutils (RHBZ#1113029).
|
||||
|
||||
|
Loading…
Reference in New Issue
Block a user